librevenge::RVNGStringVector Class Reference documentation

Public Member Functions | Private Attributes | List of all members
librevenge::RVNGStringVector Class Reference

`#include <RVNGStringVector.h>`

## Public Member Functions
| RVNGStringVector ()
| RVNGStringVector (const RVNGStringVector &vec)
| ~RVNGStringVector ()
RVNGStringVector & | operator= (const RVNGStringVector &vec)
unsigned | size () const
bool | empty () const
const RVNGString & | operator[] (unsigned idx) const
void | append (const RVNGString &str)
void | clear ()

## Private Attributes
RVNGStringVectorImpl * | m_pImpl

## Constructor & Destructor Documentation

## ◆ RVNGStringVector() [1/2]

librevenge::RVNGStringVector::RVNGStringVector | ( |  | ) |

## ◆ RVNGStringVector() [2/2]

librevenge::RVNGStringVector::RVNGStringVector | ( | const RVNGStringVector & | vec | ) |

## ◆ ~RVNGStringVector()

librevenge::RVNGStringVector::~RVNGStringVector | ( |  | ) |

## Member Function Documentation

## ◆ append()

void librevenge::RVNGStringVector::append | ( | const RVNGString & | str | ) |

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheet(), librevenge::RVNGTextDrawingGenerator::endPage(), librevenge::RVNGSVGDrawingGenerator::endPage(), librevenge::RVNGSVGPresentationGenerator::endSlide(), and librevenge::RVNGTextPresentationGenerator::endSlide().

## ◆ clear()

void librevenge::RVNGStringVector::clear | ( |  | ) |

## ◆ empty()

bool librevenge::RVNGStringVector::empty | ( |  | ) | const

## ◆ operator=()

RVNGStringVector & librevenge::RVNGStringVector::operator= | ( | const RVNGStringVector & | vec | ) |

## ◆ operator[]()

const RVNGString & librevenge::RVNGStringVector::operator[] | ( | unsigned | idx | ) | const

## ◆ size()

unsigned librevenge::RVNGStringVector::size | ( |  | ) | const

## Member Data Documentation

## ◆ m_pImpl

RVNGStringVectorImpl* librevenge::RVNGStringVector::m_pImpl
| private

Referenced by append(), clear(), empty(), operator=(), operator[](), size(), and ~RVNGStringVector().

The documentation for this class was generated from the following files:

- RVNGStringVector.h
- RVNGStringVector.cpp